package com.zcloud.fire.check.persistence.repository;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.fire.check.domain.model.FireCheckStandardE;
import com.zcloud.fire.check.persistence.dataobject.FireCheckStandardDO;
import com.zcloud.fire.check.persistence.dataobject.FireCheckStandardStatisticDO;

import java.util.List;
import java.util.Map;

/**
 * web-infrastructure
 *
 * @Author zhaokai
 * @Date 2025-11-26 10:12:15
 */
public interface FireCheckStandardRepository extends BaseRepository<FireCheckStandardDO> {
    PageResponse<FireCheckStandardDO> listPage(Map<String, Object> params);

    List<FireCheckStandardDO> listAll(Map<String, Object> params);

    boolean addBatch(List<FireCheckStandardDO> fireCheckStandardDOList);

    List<FireCheckStandardDO> getCheckStandardList(List<String> fireDeviceTypeList);

    List<FireCheckStandardStatisticDO> getDeviceStandardList(String fireCheckId);
}

